# Generated by Django 3.1 on 2020-08-23 18:33

import colorfield.fields
from django.db import migrations, models
import django_ui.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ModelExample',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('occupation', models.CharField(choices=[('study', 'Study'), ('work', 'Work')], max_length=100, verbose_name='Occupation')),
                ('study', models.CharField(blank=True, max_length=100, null=True, verbose_name='Name Institution')),
                ('semester', models.CharField(blank=True, max_length=100, null=True, verbose_name='Semester')),
                ('company', models.CharField(blank=True, max_length=100, null=True, verbose_name='Company')),
                ('position', models.CharField(blank=True, max_length=100, null=True, verbose_name='Position')),
                ('photo', models.BooleanField(blank=True, default=True, null=True, verbose_name='Add photo')),
                ('image', models.ImageField(blank=True, null=True, upload_to=django_ui.models.user_directory_path)),
            ],
            options={
                'verbose_name': 'Model Example',
                'verbose_name_plural': 'Model Example',
            },
        ),
        migrations.CreateModel(
            name='SettingsUI',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name_theme', models.CharField(default='', max_length=200)),
                ('applied', models.BooleanField(help_text='If you select this, the previously applied theme is inactivated, if there is none selected by default, the one from django remains')),
                ('title_window', models.CharField(blank=True, default='', max_length=200, null=True)),
                ('site_name', models.CharField(blank=True, default='', max_length=200, null=True)),
                ('body_color', colorfield.fields.ColorField(blank=True, default='#333', max_length=20, null=True)),
                ('header_color', colorfield.fields.ColorField(blank=True, default='#ffc', max_length=20, null=True)),
                ('header_bg_color', colorfield.fields.ColorField(blank=True, default='#417690', max_length=20, null=True)),
                ('breadcrumbs_color', colorfield.fields.ColorField(blank=True, default='#c4dce8', max_length=20, null=True)),
                ('breadcrumbs_bg_color', colorfield.fields.ColorField(blank=True, default='#79aec8', max_length=20, null=True)),
                ('module_color', colorfield.fields.ColorField(blank=True, default='#fff', max_length=20, null=True)),
                ('module_bg_color', colorfield.fields.ColorField(blank=True, default='#79aec8', max_length=20, null=True)),
                ('sidebar_current_model_bg_color', colorfield.fields.ColorField(blank=True, default='#ffc', max_length=20, null=True)),
                ('section_link_color', colorfield.fields.ColorField(blank=True, default='#ffc', max_length=20, null=True)),
                ('link_color', colorfield.fields.ColorField(blank=True, default='#447e9b', max_length=20, null=True)),
                ('link_hover_color', colorfield.fields.ColorField(blank=True, default='#036', max_length=20, null=True)),
                ('section_link_visited_color', colorfield.fields.ColorField(blank=True, default='#ffc', max_length=20, null=True)),
                ('sidebar_color', colorfield.fields.ColorField(blank=True, default='#ffc', max_length=20, null=True)),
                ('content_related_bg_color', colorfield.fields.ColorField(blank=True, default='#f8f8f8', max_length=20, null=True)),
                ('content_related_title_color', colorfield.fields.ColorField(blank=True, default='#333', max_length=20, null=True)),
                ('content_related_sub_title_color', colorfield.fields.ColorField(blank=True, default='#666', max_length=20, null=True)),
                ('quiet_color', colorfield.fields.ColorField(blank=True, default='#999', max_length=20, null=True)),
                ('button_tools_color', colorfield.fields.ColorField(blank=True, default='#fff', max_length=20, null=True)),
                ('button_tools_bg_color', colorfield.fields.ColorField(blank=True, default='#999', max_length=20, null=True)),
                ('button_tools_hover_color', colorfield.fields.ColorField(blank=True, default='#fff', max_length=20, null=True)),
                ('button_tools_hover_bg_color', colorfield.fields.ColorField(blank=True, default='#417690', max_length=20, null=True)),
                ('th_color', colorfield.fields.ColorField(blank=True, default='#666', max_length=20, null=True)),
                ('th_bg_color', colorfield.fields.ColorField(blank=True, default='#f6f6f6', max_length=20, null=True)),
                ('tr_even_bg_color', colorfield.fields.ColorField(blank=True, default='#f9f9f9', max_length=20, null=True)),
                ('paginator_color', colorfield.fields.ColorField(blank=True, default='#666', max_length=20, null=True)),
                ('paginator_bg_color', colorfield.fields.ColorField(blank=True, default='#fff', max_length=20, null=True)),
                ('paginator_border_color', colorfield.fields.ColorField(blank=True, default='#eee', max_length=20, null=True)),
                ('submit_delete_button_color', colorfield.fields.ColorField(blank=True, default='#fff', max_length=20, null=True)),
                ('submit_delete_button_bg_color', colorfield.fields.ColorField(blank=True, default='#ba2121', max_length=20, null=True)),
                ('submit_delete_button_bg_hover_color', colorfield.fields.ColorField(blank=True, default='#a41515', max_length=20, null=True)),
                ('submit_save_primary_color', colorfield.fields.ColorField(blank=True, default='#fff', max_length=20, null=True)),
                ('submit_save_primary_bg_color', colorfield.fields.ColorField(blank=True, default='#417690', max_length=20, null=True)),
                ('submit_save_primary_bg_hover_color', colorfield.fields.ColorField(blank=True, default='#205067', max_length=20, null=True)),
                ('submit_save_secondary_color', colorfield.fields.ColorField(blank=True, default='#fff', max_length=20, null=True)),
                ('submit_save_secondary_bg_color', colorfield.fields.ColorField(blank=True, default='#79aec8', max_length=20, null=True)),
                ('submit_save_secondary_bg_hover_color', colorfield.fields.ColorField(blank=True, default='#609ab6', max_length=20, null=True)),
                ('cancel_button_color', colorfield.fields.ColorField(blank=True, default='#333', max_length=20, null=True)),
                ('cancel_button_bg_color', colorfield.fields.ColorField(blank=True, default='#ddd', max_length=20, null=True)),
                ('cancel_button_bg_hover_color', colorfield.fields.ColorField(blank=True, default='#ccc', max_length=20, null=True)),
                ('alert_message_color', colorfield.fields.ColorField(blank=True, default='#333', max_length=20, null=True)),
                ('alert_message_bg_color', colorfield.fields.ColorField(blank=True, default='#dfd', max_length=20, null=True)),
                ('error_alert_message_color', colorfield.fields.ColorField(blank=True, default='#333', max_length=20, null=True)),
                ('error_alert_message_bg_color', colorfield.fields.ColorField(blank=True, default='#ffefef', max_length=20, null=True)),
                ('warning_alert_message_color', colorfield.fields.ColorField(blank=True, default='#333', max_length=20, null=True)),
                ('warning_alert_message_bg_color', colorfield.fields.ColorField(blank=True, default='#ffc', max_length=20, null=True)),
            ],
            options={
                'verbose_name_plural': 'Settings UI',
            },
        ),
    ]
